Holger's Java API

## com.antelmann.db
Interface DocumentEntry

All Superinterfaces:
  DBEntry, Imageable, LifeCycleObject, Localizable, PropertyEntry, Serializable, Taggable<Keyword>

All Known Implementing Classes:
  BaseDocument, DBDocument, ImageURLEntry

    public interface DocumentEntry

extends PropertyEntry, Taggable<Keyword>, Imageable, LifeCycleObject, Localizable

specifies a general-purpose document that can be managed in a database

Since:
  12.12.2009, 19:35:11
Author:
  Holger Antelmann

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.Taggable
`Taggable.Adapter<T extends Tag>`

Nested classes/interfaces inherited from interface com.antelmann.util.Localizable
`Localizable.Adapter`

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Method Summary
`InputStream` `getContent()` accesses the raw content of this document
`String` `getDescription()` provides a detailed description of this document
`String` `getNotes()` returns internal notes of this document
`URL` `getOriginalLocation()` returns the originating URL - if applicable
`String` `getTitle()` returns the title of this document

Methods inherited from interface com.antelmann.db.PropertyEntry
`getProperties, getProperty, removeProperty, setProperty`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface com.antelmann.db.Taggable
`add, getTags, isTagged, remove`

Methods inherited from interface com.antelmann.image.Imageable
`getDisplayIcon, getDisplayImage`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Methods inherited from interface com.antelmann.util.Localizable
`getLocale, setLocale`

Method Detail

### getTitle

    String getTitle()

  returns the title of this document

### getDescription

    String getDescription()

  provides a detailed description of this document

### getNotes

    String getNotes()

  returns internal notes of this document

### getOriginalLocation

    URL getOriginalLocation()

  returns the originating URL - if applicable

### getContent

    InputStream getContent()
                           throws IOException

  accesses the raw content of this document

  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads